summaryrefslogtreecommitdiff
path: root/localedata/tst-rpmatch.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-07-16 07:30:42 +0000
committerUlrich Drepper <drepper@redhat.com>2000-07-16 07:30:42 +0000
commitca41028b16eab254278ae8ed6b0a0998ea21d0c7 (patch)
tree698c16208a2710404aed18f3f84480fb1a7b8966 /localedata/tst-rpmatch.sh
parente0ea35a3f764a11cf9fc8389f128e5acad09cb17 (diff)
Update.
2000-07-16 Ulrich Drepper <drepper@redhat.com> * Makefile: Rewrite rules for tests to run them only when necessary. * sort-test.sh: Produce output for failed tests. * tst-fmon.sh: Likewise. * tst-rpmatch.sh: Likewise.
Diffstat (limited to 'localedata/tst-rpmatch.sh')
-rwxr-xr-xlocaledata/tst-rpmatch.sh10
1 files changed, 2 insertions, 8 deletions
diff --git a/localedata/tst-rpmatch.sh b/localedata/tst-rpmatch.sh
index d3eb593c71..5900c94544 100755
--- a/localedata/tst-rpmatch.sh
+++ b/localedata/tst-rpmatch.sh
@@ -28,12 +28,12 @@ while IFS=\& read locale string result dummy; do
LOCPATH=${common_objpfx}localedata \
GCONV_PATH=${common_objpfx}/iconvdata \
${tst_rpmatch} $locale $string $result \
- || exit 1
+ || { echo "$locale $string $result FAILED"; exit 1; }
fi
done <<EOF
#& These are the tests for rpmatch in glibc. Each line contains one test,
#& comments start with #& in the first column. The fields are separated
-#& by paragraph signs and contain: the locale, the string, the expected
+#& by ampersand signs and contain: the locale, the string, the expected
#& return value of rpmatch(3). If the test fails, test-rpmatch prints
#& all these informations
C&Yes&1
@@ -57,9 +57,3 @@ de_DE.ISO-8859-1&Nein&0
de_DE.ISO-8859-1&Fehler&-1
de_DE.ISO-8859-1&jein&1
EOF
-
-rc=$?
-if [ $rc -eq 1 ]; then
- echo "Errors"
-fi
-exit $rc